Subject: Re: PCI-PCI bridge scanning broken on 460EX

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 11 Jan 2010 08:31:57 +1100

> OK, I'll try writing byte by byte. The funny thing is the u-boot also 
> writes the
> same value to PCI_PRIMARY_BUS register and it doesn't cause reset.

Maybe the bridge doesn't want to be programmed more than once on these
registers ? In any case, that's very very fishy.... I wonder if the
bridge is causing a PCI reset -upstream- (which would really be a weird
thing to do) and the 460 is turning that into a system reset ? Check if
there are ways to control how the 460 reacts to PCI resets...

In any case, it looks like a fucked up bridge to me. I don't suppose
you've seen anything in the bridge data sheet or errata sheet that could
explain what it's doing ?

Cheers,
Ben.